Loading...
Searching...
No Matches
dolfin::SubsetIterator Class Reference

`#include <SubsetIterator.h>`

## Public Member Functions

| SubsetIterator (const MeshFunction< std::size_t > &labels, std::size_t label)
| SubsetIterator (const SubsetIterator &subset_iter)
| Copy Constructor.
virtual | ~SubsetIterator ()
| Destructor.
SubsetIterator & | operator++ ()
| Step to next mesh entity (prefix increment).
SubsetIterator & | operator-- ()
| Step back to previous mesh entity (prefix decrement).
bool | operator== (const SubsetIterator &sub_iter) const
| Comparison operator.
bool | operator!= (const SubsetIterator &sub_iter) const
| Comparison operator.
MeshEntity & | operator* ()
| Dereference operator.
MeshEntity * | operator-> ()
| Member access operator.
bool | end () const
| Check if iterator has reached the end.
SubsetIterator | end_iterator ()
| Beyond end iterator.

## Detailed Description

A SubsetIterator is similar to a MeshEntityIterator but iterates over a specified subset of the range of entities as specified by a MeshFunction that labels the entities.

## Constructor & Destructor Documentation

## SubsetIterator()

dolfin::SubsetIterator::SubsetIterator | ( | const MeshFunction< std::size_t > & | labels,
|  | std::size_t | label )

inline

Create iterator for given mesh function. The iterator visits all entities that match the given label.

The documentation for this class was generated from the following file:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/SubsetIterator.h